GNU bug report logs - #19195
ibuffer-do-view-other-frame does not open frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Matthias <matthias.pfeifer@HIDDEN>; dated Wed, 26 Nov 2014 16:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 26.1. Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19195 <at> debbugs.gnu.org:


Received: (at 19195) by debbugs.gnu.org; 14 Jan 2019 07:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 14 02:57:33 2019
Received: from localhost ([127.0.0.1]:58261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gix7l-0006Md-LN
	for submit <at> debbugs.gnu.org; Mon, 14 Jan 2019 02:57:33 -0500
Received: from mout.gmx.net ([212.227.17.21]:44693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1gix7i-0006MH-PP; Mon, 14 Jan 2019 02:57:31 -0500
Received: from [192.168.1.101] ([212.95.5.165]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LcBPV-1h8hcM2IUf-00jYHo; Mon, 14
 Jan 2019 08:57:23 +0100
Message-ID: <5C3C40DF.4010706@HIDDEN>
Date: Mon, 14 Jan 2019 08:57:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Matthias <matthias.pfeifer@HIDDEN>, 19195 <at> debbugs.gnu.org
Subject: Re: bug#19195: ibuffer-do-view-other-frame does not open frame
References: <5475ABFD.4030309@HIDDEN>
In-Reply-To: <5475ABFD.4030309@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:v47O13pH71nTgc9Zh4ekd13luaWbcekA+cZ8AGo4gSsu/BIratj
 5d2f1Iao388x/1jr44P9MfrNrfEzZb/uLWUczOgLcUN9foVqzGNaCoJUNvDzvpRlfYITODo
 Qh8wjvgJU8SlaVa2USuHyX93E77vHzi36Nf00ab958XCHhuscDwBh9FysI2+rhKyURmoQRi
 VJkAN2zbwGopFAbeSeEsA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:cBzLBW0/7L0=:ooMQunWmo100xa3FIdtVXE
 H8CKGRgJlDcVampWEylbJzvYVYJAAGF/0uFXLUQKvcCUebbWPKcyqsF9rV+0zenLn9b48AGRO
 gYir5wCPf4e6vbPcUNnkL/0TQQWQbHiRqQUk1hum8L01Zy/acbTP5hg3sLAM5wkSG/3IkX/3S
 2/F6w46AJOxwn4fg5QtgFZ4zOLhH/56oy/X3vAJ1jUWZr3GJE787GL04x9HTkpu80ZjCTIoOf
 jKUNbflsdPpdEJVufv8UlrfeJ8EQqPfYONruEHeMCwWrpPAFkd9U3q8jESJYl4oyrGViq3D8l
 TLrRZaxKwB8tlosFc1eFEBtIPI7qIwYGDpLdtvaMoa4JPYYCR8w0Y+SWCdYmjzV0lBXTQQlcp
 BAZpMDd0qRmLYGrWGza3NW7W7M7vB2A5/AvypczOI/e9CAaKmSTC+S9L8oqGcYZDp1OGjzYZg
 mnRMPZoTmIdCnvjNs4oHZ/qjaPYnJrxtXwaYLPAdmZf+vLavTAZv+7+2+k3vls3fPmwt4PE5H
 L1x7kOv6dYeosrxLOVP70vPhRv0Z4Y/IoA4Zro1kpow1rIl8BRn7ctIRufDTtsihFAe7sykWO
 M/DZ0hwBsi92d0TgBpOyXYEsX6DXJAJ0I/MXl0ecjnZFsNjmCVKRboYxIY1/MDQgPk9ymzlg4
 4JYyogQeWRYlSYxcghs/t77N+QC2C+bcb5sIl7Di/5sLO26M8IpKXPy9pVVESEW03yAqswmTD
 LY7soDlpDhguIMX64TG1u4q3hAyHYXiO+/SXD2xicMOnY+0liF6+X31JH+y9+/DGh+fMszcVr
 Ia5oUDdSnDTwtUTAzJm3w/bl3eWU1jBMljvoKh5OZtaxVYLtVp83+TgbZOZ1Ttr3HmU/E6j9T
 +7y5vDBq1ifjrxCxzVLhcnark+iPYrp0c5HosAN/UWDA4wGARg6g1Su5Rf8BuC
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19195
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

fixed 19195 26.1
quit

 > It is reported that using Emacs 24.3.1 ibuffer-do-view-other-frame does not open a new frame to show marked buffer. To repeat the case do start emacs
 >
 > $ emacs -Q
 >
 > M-x ibuffer
 > press "m" to mark a buffer
 > press "H" OR select in the menu-bar "Operate/View seperate rame (H)"
 >
 > either pressing H or selecting the menu-entry should call ibuffer-do-view-other-frame. However a seperate frame is not opened.

This is broken in Emacs 24.5 and Emacs 25.3 but works as expected in
Emacs 26.1 and current master.  I'm therefore closing this bug.

Belated thanks for the report, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19195; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Nov 2014 16:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 26 11:40:25 2014
Received: from localhost ([127.0.0.1]:46415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xtfdg-0002Uu-BW
	for submit <at> debbugs.gnu.org; Wed, 26 Nov 2014 11:40:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48328)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZtD-0007G7-PU
 for submit <at> debbugs.gnu.org; Wed, 26 Nov 2014 05:32:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZt6-0006U0-6s
 for submit <at> debbugs.gnu.org; Wed, 26 Nov 2014 05:32:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35584)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZt6-0006Tp-3X
 for submit <at> debbugs.gnu.org; Wed, 26 Nov 2014 05:31:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50007)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZt0-0008S1-1h
 for bug-gnu-emacs@HIDDEN; Wed, 26 Nov 2014 05:31:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZst-0006SB-Vy
 for bug-gnu-emacs@HIDDEN; Wed, 26 Nov 2014 05:31:49 -0500
Received: from pegasos-out.vodafone.de ([80.84.1.38]:48470)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <matthias.pfeifer@HIDDEN>) id 1XtZst-0006RK-IY
 for bug-gnu-emacs@HIDDEN; Wed, 26 Nov 2014 05:31:43 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by pegasos-out.vodafone.de (Rohrpostix2  Daemon) with ESMTP id 65C5D5C5B3C
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 Nov 2014 11:31:36 +0100 (CET)
X-Virus-Scanned: amavisd-new at vodafone.de
Authentication-Results: rohrpostix2.prod.vfnet.de (amavisd-new); dkim=pass
 header.i=@vodafone.de
Received: from pegasos-out.vodafone.de ([127.0.0.1])
 by localhost (rohrpostix2.prod.vfnet.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id O6pJWuq9YiYp for <bug-gnu-emacs@HIDDEN>;
 Wed, 26 Nov 2014 11:31:35 +0100 (CET)
Received: from smtp-04.vodafone.de (smtp-04.vodafone.de [10.215.254.39])
 by pegasos-out.vodafone.de (Rohrpostix2  Daemon) with ESMTP id F2AE25C5B46
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 Nov 2014 11:31:34 +0100 (CET)
X-DKIM: OpenDKIM Filter v2.6.8 pegasos-out.vodafone.de F2AE25C5B46
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=vodafone.de; s=mail;
 t=1416997894; bh=CJsadwRjNE7/Zwpcrja6jKcby9IRZRAzHoYzat0nXm8=;
 h=Date:From:To:Subject;
 b=yTXoigiQvg2e6t5PW4P9r4xWerOiOPg8yRoQqb+oTlGElDQvzzETL/sG2OyO49NY0
 QjuG7BtV78KleycPbVVKROunUW4V04VjtyHSxD15csTzs18F5CZbYdeIbBjHDrOWkB
 RqDlf7lT7Mgy/50rZQkhugfWcAeSex8vVcQxNeBY=
X-DKIM: OpenDKIM Filter v2.0.2 smtp-04.vodafone.de D80D2E87A9
X-Virus-Scanned: amavisd-new at vodafone.de
Received: from smtp-04.vodafone.de ([127.0.0.1])
 by localhost (xsmail-dmz8.prod.vfnet.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kh3avkOdgeGm for <bug-gnu-emacs@HIDDEN>;
 Wed, 26 Nov 2014 11:31:25 +0100 (CET)
Received: from [192.168.2.100]
 (dslb-178-005-152-013.178.005.pools.vodafone-ip.de [178.5.152.13])
 by smtp-04.vodafone.de (Postfix) with ESMTPSA id 47FD3E884B
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 Nov 2014 11:31:25 +0100 (CET)
Message-ID: <5475ABFD.4030309@HIDDEN>
Date: Wed, 26 Nov 2014 11:31:25 +0100
From: Matthias <matthias.pfeifer@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
 rv:31.0) Gecko/20100101 Thunderbird/31.2.0
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: ibuffer-do-view-other-frame does not open frame
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 26 Nov 2014 11:40:22 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

It is reported that using Emacs 24.3.1 ibuffer-do-view-other-frame does 
not open a new frame to show marked buffer. To repeat the case do start 
emacs

$ emacs -Q

M-x ibuffer
press "m" to mark a buffer
press "H" OR select in the menu-bar "Operate/View seperate rame (H)"

either pressing H or selecting the menu-entry should call 
ibuffer-do-view-other-frame. However a seperate frame is not opened.

sincerely

Matthias Pfeifer





Acknowledgement sent to Matthias <matthias.pfeifer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19195; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Jan 2019 08:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.